unit uMain;

interface

uses
  System.SysUtils, System.Types, System.UITypes, System.Classes, System.Variants,
  FMX.Types, FMX.Controls, FMX.Forms, FMX.Graphics, FMX.Dialogs,
  DPF.ANDROID.BaseControl, DPF.ANDROID.JView,
  DPF.Android.JListView;

type
  TFListView = class( TForm )
    DPFJView1: TDPFJView;
    DPFJListView1: TDPFJListView;
    procedure FormShow( Sender: TObject );
  private
    { Private declarations }
    procedure OnException( sender: TObject; e: Exception );
  public
    { Public declarations }
  end;

var
  FListView: TFListView;

implementation

{$R *.fmx}

procedure TFListView.FormShow( Sender: TObject );
begin
  Application.OnException := OnException;
end;

procedure TFListView.OnException( sender: TObject; e: Exception );
var
  a: string;
begin
  a       := E.Message;
  Caption := a;
end;

end.
